import React from 'react';
import { Router } from 'react-router-dom';
import CustomLayoutProvider from '@/layouts/provider/CustomLayoutProvider';
import history from './config/history';
import RouteList from './layouts/Routes/RouteList';
import routes from './config/routes';
import './global.less';
import './tailwind.css';

function App() {
  return (
    <Router history={history}>
      <CustomLayoutProvider>
        <RouteList routeConfig={routes} />
      </CustomLayoutProvider>
    </Router>
  );
}

export default App;
