import React from 'react';
import { Button, Space } from 'antd';
import { SpaceProps } from 'antd/es/space';

interface ToolBarProps extends SpaceProps {
  itemList: any[];
  buttonOptions?: any;
}

function ToolBar({ itemList, buttonOptions, ...restProps }: ToolBarProps) {
  return (
    <Space {...restProps}>
      {itemList.map(({ label, ...restOptions }, index) => {
        const options = {
          ...buttonOptions,
          ...restOptions,
        };
        return (
          <Button key={index} {...options}>
            {label}
          </Button>
        );
      })}
    </Space>
  );
}

ToolBar.defaultProps = {
  buttonOptions: { size: 'small' },
};
export default ToolBar;
