import { DownOutlined, UpOutlined } from '@ant-design/icons';
import React from 'react';
import { Button, ButtonProps } from 'antd';

interface ExpandBtnProps extends ButtonProps {
  expand: boolean;
}

function ExpandBtn(props: ExpandBtnProps) {
  const { expand, ...restProps } = props;

  return (
    <Button icon={expand ? <UpOutlined /> : <DownOutlined />} {...restProps}>
      {expand ? '收起' : '展开'}
    </Button>
  );
}

export default ExpandBtn;
