import { Button, Card, Form, Modal } from 'antd';
import SelectCondition from '@/components/common/selectCondition/SelectCondition';

function FilterConditionModal({
  setFalse,
  open,
  fieldOptions,
  editableFormRef,
  currentRecord,
  form,
  setDataSource,
  dataSource,
}) {
  function saveFilterCondition() {
    form.validateFields().then((values) => {
      const { associatedCondition } = values;
      const ifNull = associatedCondition.children?.length > 0;
      editableFormRef.current?.setRowData(currentRecord.index, {
        filterCondition: associatedCondition || {},
        isConfigured: ifNull,
      });
      setDataSource(
        dataSource.map((i) => {
          if (i.id === currentRecord.id) {
            return {
              ...i,
              filterCondition: associatedCondition || {},
              isConfigured: ifNull,
            };
          }
          return i;
        }),
      );

      setFalse();
      clearFilterContent();
    });
  }
  function clearFilterContent() {
    form.resetFields();
  }

  return (
    <Modal
      title="过滤条件设置"
      open={open}
      onCancel={setFalse}
      width={1100}
      onOk={() => saveFilterCondition()}
    >
      <Form form={form}>
        <Card extra={<Button onClick={clearFilterContent}>清空</Button>}>
          <SelectCondition fieldOptions={fieldOptions} name="associatedCondition" />
        </Card>
      </Form>
    </Modal>
  );
}
export default FilterConditionModal;
