import React from 'react';
import { DatePicker } from 'antd';
import dayjs from 'dayjs';

function DatePickerString(props) {
  const { value, onChange, defaultValue, ...restProps } = props;

  const defaultTimeFormat = restProps.showTime ? 'YYYY-MM-DD HH:mm:ss' : restProps.format;

  function handleChange(date, dateString) {
    onChange(dateString);
  }

  return (
    <DatePicker
      value={!value ? null : dayjs(value)}
      defaultValue={!defaultValue ? null : dayjs(defaultValue)}
      format={defaultTimeFormat}
      onChange={handleChange}
      {...restProps}
    />
  );
}

DatePickerString.propTypes = {};

DatePickerString.defaultProps = {};

export default DatePickerString;
