import React from 'react';
import { DatePicker } from 'antd';
import dayjs from 'dayjs';

const { RangePicker } = DatePicker;

function RangePickerString(props) {
  const { value, onChange, defaultValue, ...restProps } = props;

  function handleChange(date, dateString) {
    onChange(date ? dateString : date);
  }

  return (
    <RangePicker
      {...restProps}
      value={!value ? null : [value[0] && dayjs(value[0]), value[1] && dayjs(value[1])]}
      defaultValue={
        !defaultValue
          ? null
          : [defaultValue[0] && dayjs(defaultValue[0]), defaultValue[1] && dayjs(defaultValue[1])]
      }
      onChange={handleChange}
    />
  );
}

RangePickerString.propTypes = {};

RangePickerString.defaultProps = {};

export default RangePickerString;
