import React from 'react';
import { Select } from 'antd';
import { SelectProps, SelectValue } from 'antd/lib/select';
import { useBackendOptions } from '../../hooks';

interface RemoteSelectProps extends SelectProps<SelectValue> {
  codeName?: string;
  requestUrl?: string;
  requestParam?: object;
  valueAttr?: string;
  titleAttr?: string;
  refreshDeps?: any[];
  mapOptionsFunc?: (item: any, index?: number) => any;
}

function RemoteSelect(props: RemoteSelectProps) {
  const {
    codeName,
    requestUrl,
    requestParam,
    valueAttr,
    titleAttr,
    refreshDeps,
    mapOptionsFunc,
    ...restProps
  } = props;

  const [options] = useBackendOptions({
    codeName,
    requestUrl,
    requestParam,
    valueAttr,
    titleAttr,
    refreshDeps,
    mapOptionsFunc,
  });
  return <Select options={options} {...restProps} />;
}

RemoteSelect.defaultProps = {
  requestUrl: '/system/commonUtils/getSelectOption',
  valueAttr: 'key',
  titleAttr: 'label',
};
export default RemoteSelect;
