import { Badge, Col, Row } from 'antd';
import React, { useState } from 'react';
import styles from '@/components/hoc/IndexPage/IndexPageNew.module.less';
import { DownOutlined, UpOutlined } from '@ant-design/icons';

interface IndexPageIntroduceProps {
  itemObj: any;
}

function IndexPageIntroduce(props: IndexPageIntroduceProps) {
  const { itemObj } = props;
  const [isOpen, setIsOpen] = useState(true);
  return (
    <>
      <Row
        className={styles.checkTitleBox}
        style={{ cursor: 'pointer' }}
        onClick={() => setIsOpen(!isOpen)}
      >
        <Col span={18} className={styles.checkTitle}>
          {itemObj.title}
        </Col>
        <Col span={6} className="text-right">
          {isOpen ? <UpOutlined /> : <DownOutlined />}
        </Col>
      </Row>
      <div style={{ display: isOpen ? 'block' : 'none' }}>
        {itemObj.children.map((item: any, index: number) => (
          <Row key={item.title} className={styles.checkContentItemStep}>
            <Col span={4} className={styles.checkContentItemStepLeft}>
              <Badge color={itemObj.color} className={styles.checkContentDot} />
              {index !== itemObj.children.length - 1 && (
                <div className={styles.checkContentItemLineStep} />
              )}
            </Col>
            <Col span={20}>
              <span>{item.title}</span>
              <div>{item.description}</div>
            </Col>
          </Row>
        ))}
      </div>
    </>
  );
}

IndexPageIntroduce.defaultProps = {};

export default IndexPageIntroduce;
