import React from 'react';
import { Link } from 'react-router-dom';
import { GoToType } from '@/const/BusinessGuideConfigurationType';

export default function GetBusinessGuideConfiguration(introduceList) {
  function defaultMapOptionsFunc(item) {
    return {
      title: item.description,
      description: chooseDescription(item),
    };
  }

  function chooseDescription(item) {
    switch (item.jumpType) {
      case GoToType.PLATFORM_PAGE:
        return (
          <Link to={item.url} target="_blank">
            {item.linkText}
          </Link>
        );
      case GoToType.EXTERNAL_LINKS:
        return (
          <a href={item.url} target="_blank" rel="noreferrer">
            {item.linkText}
          </a>
        );
      default:
        return '';
    }
  }

  const newIntroduce = [];

  if (
    introduceList &&
    introduceList.detailsTypeBusinessRulesList &&
    introduceList.detailsTypeBusinessRulesList.length > 0
  ) {
    newIntroduce.push({
      title: '业务指引',
      color: 'green',
      children: introduceList.detailsTypeBusinessRulesList.map(defaultMapOptionsFunc),
    });
  }
  if (
    introduceList &&
    introduceList.detailsTypeBusinessImpactList &&
    introduceList.detailsTypeBusinessImpactList.length > 0
  ) {
    newIntroduce.push({
      title: '业务影响',
      color: 'orange',
      children: introduceList.detailsTypeBusinessImpactList.map(defaultMapOptionsFunc),
    });
  }
  if (
    introduceList &&
    introduceList.detailsTypeSpecialMattersList &&
    introduceList.detailsTypeSpecialMattersList.length > 0
  ) {
    newIntroduce.push({
      title: '特殊事项',
      color: 'red',
      children: introduceList.detailsTypeSpecialMattersList.map(defaultMapOptionsFunc),
    });
  }
  if (
    introduceList &&
    introduceList.detailsTypePolicyBasisList &&
    introduceList.detailsTypePolicyBasisList.length > 0
  ) {
    newIntroduce.push({
      title: '政策依据',
      color: 'blue',
      children: introduceList.detailsTypePolicyBasisList.map(defaultMapOptionsFunc),
    });
  }

  return newIntroduce;
}
