import React, { useEffect, useState } from 'react';
import { Column } from '@ant-design/plots';
import request from '@/utils/request';

const HitTheTenantHistogram = () => {
  const [data, setData] = useState([]);
  useEffect(() => {
    fetchHitTenantStatisticsData();
  }, []);
  function fetchHitTenantStatisticsData() {
    return request.getWMessage('/syndata/syncTaskLogDetails/getHitTenantStatistics').then((res) => {
      setData(res.data);
    });
  }
  const config = {
    data,
    xField: 'tenantryName',
    yField: 'total',
    color: '#0066FF',
    minColumnWidth: 20,
    maxColumnWidth: 20,
    legend: false,
    columnBackground: {
      style: {
        fill: '#E8F3FF',
      },
    },
    tooltip: {
      formatter: (v) => {
        return { name: '数量', value: `${v.total}` };
      },
    },
    xAxis: {
      label: {
        autoHide: false,
        autoRotate: false,
      },
    },
  };
  return <>{data?.length > 0 && <Column {...config} />}</>;
};
export default HitTheTenantHistogram;
