import React, { useEffect, useState } from 'react';
import { Area } from '@ant-design/plots';
import request from '@/utils/request';

function LogAreaChart() {
  const [data, setData] = useState([]);
  useEffect(() => {
    fetchAreaData();
  }, []);
  function fetchAreaData() {
    return request
      .getWMessage('/syndata/syncTaskLogDetails/getSourceAndHostStatistics')
      .then((res) => {
        setData(res.data);
      });
  }
  const config = {
    data,
    xField: 'date',
    yField: 'value',
    seriesField: 'type',
    xAxis: {
      // 文本标签
      label: {
        autoRotate: false,
        style: {
          fill: '#aaa',
          fontSize: 12,
        },
      },
    },
    point: {
      size: 3,
      shape: 'circle',
    },
    legend: {
      position: 'top-left',
    },
    // 度量相关配置
    meta: {
      year: {
        range: [0, 1],
      },
    },
    autoFit: true,
  };
  return <>{data?.length > 0 && <Area {...config} />}</>;
}
export default LogAreaChart;
