import React, { useEffect, useState } from 'react';
import { Area, Column } from '@ant-design/plots';
import request from '@/utils/request';

const SourceBusinessBarChart = () => {
  const [data, setData] = useState([]);
  useEffect(() => {
    fetchSourceBusinessBarData();
  }, []);
  function fetchSourceBusinessBarData() {
    return request
      .getWMessage('/syndata/syncTaskLogDetails/getSourceBusinessStatistics')
      .then((res) => {
        setData(res.data);
      });
  }
  const config = {
    data,
    xField: 'modelName',
    yField: 'total',
    color: '#0066FF',
    legend: false,
    xAxis: false,
    tooltip: {
      formatter: (v) => {
        return { name: '数量', value: `${v.total}` };
      },
    },
    meta: {
      modelName: {
        modelName: '类别',
      },
      total: {
        total: '数量',
      },
    },
    columnWidthRatio: 0.8,
    maxColumnWidth: 25,
  };
  return <>{data?.length > 0 && <Column {...config} />}</>;
};
export default SourceBusinessBarChart;
