import RemoteSelect from '@/components/forms/RemoteSelect';
import { Switch } from 'antd';

function DataModelFormItem({ form }) {
  const pid = form.getFieldValue('pid');
  const publicModelItem = [
    { name: 'id', label: 'id', visible: false },
    { name: 'pid', label: 'pid', visible: false },
    {
      name: 'modelType',
      label: '模型类型',
      required: true,
      disabled: true,
    },
  ];
  const modelNameItem = {
    name: 'modelName',
    label: '模型名称',
    required: true,
  };
  const model = {
    name: 'businessModelName',
    label: '所属模型',
    disabled: !!form.getFieldValue('pid'),
    required: true,
  };

  const tableName = [
    {
      name: 'dbName',
      label: '库名',
      required: true,
      disabled: form.getFieldValue('pid') !== '0',
    },
    {
      name: 'tableName',
      label: '表名',
      required: true,
    },
  ];
  const modelKey = {
    name: 'modelIdentification',
    label: '模型标识',
    disabled: !!form.getFieldValue('id'),
    required: true,
  };
  const classify = {
    name: 'businessModelId',
    key: 'businessModelId',
    label: '业务分类',
    component: RemoteSelect,
    disabled: form.getFieldValue('pid') !== '0',
    componentProps: {
      requestUrl: '/syndata/dataModel/getBusinessModel',
      titleAttr: 'modelName',
      valueAttr: 'id',
      style: { minWidth: 200 },
    },
  };
  const enabled = {
    label: '是否分表',
    name: 'isTableShard',
    key: 'isTableShard',
    component: Switch,
    initialValue: true,
    valuePropName: 'checked',
    componentProps: {
      checkedChildren: '是',
      unCheckedChildren: '否',
    },
    required: true,
  };
  if (pid === '0') {
    return [...publicModelItem, modelNameItem, modelKey, classify, ...tableName, enabled];
  }
  return [...publicModelItem, model, modelNameItem, modelKey, classify, ...tableName, enabled];
}
export default DataModelFormItem;
