import { Button, Drawer, Form, Space } from 'antd';
import React, { useState } from 'react';
import { InfoCircleFilled } from '@ant-design/icons';
import TheHostOfTheDataSource from '@/components/system/modelManagement/TheHostOfTheDataSource';
import { useBoolean } from 'ahooks';

function SelectSourceHost(props) {
  const { value, onChange, form } = props;
  const [open, { setTrue, setFalse }] = useBoolean(false);
  const [hostSelectedRowKeys, setHostSelectedRowKeys] = useState(
    form.getFieldValue('tenantryHostId'),
  );
  const [hostName, setHostName] = useState('');
  function handleCancel() {
    setFalse();
  }
  function handleSave() {
    onChange({ hostName: hostName, tenantryHostId: hostSelectedRowKeys.toString() });
    setFalse();
  }
  return (
    <>
      <Space size="large">
        <span className="text-blue-6">{value?.hostName}</span>
        <Button type="primary" block onClick={setTrue}>
          选择
        </Button>
      </Space>
      <Drawer
        title={
          <Space>
            <span>选择主机</span>
            <span className="text-blue-6">
              <InfoCircleFilled />
              仅可选择与当前模型库名相同的主机
            </span>
          </Space>
        }
        open={open}
        onClose={handleCancel}
        width={'45vw'}
        closeIcon
        footerStyle={{ textAlign: 'right' }}
        footer={
          <Space>
            <Button onClick={handleCancel}>取消</Button>
            <Button type="primary" onClick={handleSave}>
              确定
            </Button>
          </Space>
        }
      >
        <TheHostOfTheDataSource
          tenantryId={form.getFieldValue('tenantryId')}
          dbName={form.getFieldValue('dbName')}
          setHostName={setHostName}
          hostSelectedRowKeys={hostSelectedRowKeys}
          setHostSelectedRowKeys={setHostSelectedRowKeys}
        />
      </Drawer>
    </>
  );
}
export default SelectSourceHost;
