import { Button, Popconfirm, Space, Tag } from 'antd';
import { SyncStatus } from '@/pages/system/syncProcess/ProcessStatus';
import React from 'react';

const hostName = {
  title: '主机名称',
  dataIndex: 'hostName',
  key: 'hostName',
  width: 120,
  align: 'center',
};
const hostAddress = {
  key: 'hostAddress',
  dataIndex: 'hostAddress',
  title: '主机地址',
  width: 100,
  align: 'center',
};
const hostColumns = {
  title: '租户名称',
  dataIndex: 'tenantryName',
  key: 'tenantryName',
  width: 120,
  align: 'center',
};
export const addHostManageColumns = [hostColumns, hostName, hostAddress];
export const hostManageColumns = [
  {
    title: '序号',
    dataIndex: 'index',
    width: 80,
    align: 'center',
    render: (text, record, index) => index + 1,
  },

  hostName,
  {
    key: 'hostIdentification',
    dataIndex: 'hostIdentification',
    title: '主机标识',
    width: 100,
    align: 'center',
  },
  hostAddress,
  {
    key: 'status',
    dataIndex: 'status',
    title: '状态',
    width: 100,
    align: 'center',
    render: (text) => (text ? <Tag color="success">正常</Tag> : <Tag color="error">停用</Tag>),
  },
];
