import { Col, Form, Input, Modal, Radio, Row, Space } from 'antd';
import React from 'react';
import request from '@/utils/request';
import { SyncContentType } from '@/const/HostStatus';

function StartSyncingModal(props) {
  const { visible, setVisibleFalse, taskStatus, form, activeKey, fetchTableData } = props;

  function handleOk() {
    const values = form.getFieldsValue();
    request.postWMessage('/syndata/syncTask/startSyncTaskHostDynamic', values).then(() => {
      fetchTableData(activeKey);
      setVisibleFalse();
    });
  }
  return (
    <Modal
      title="启动同步内容"
      open={visible}
      onCancel={setVisibleFalse}
      onOk={handleOk}
      centered
      width={400}
      closeIcon
    >
      <Row justify="center">
        <Col span={22} className="mt-2">
          <Form form={form}>
            <Form.Item label="id" name="id" hidden>
              <Input disabled />
            </Form.Item>
            <Form.Item name="syncSelect">
              <Radio.Group>
                <Space direction="vertical">
                  <Radio value={SyncContentType.INCREMENT} disabled={!taskStatus}>
                    增量数据
                  </Radio>
                  <Radio value={SyncContentType.All}>主机结构、全量数据以及增量数据</Radio>
                </Space>
              </Radio.Group>
            </Form.Item>
          </Form>
        </Col>
      </Row>
    </Modal>
  );
}
export default StartSyncingModal;
