import { Form, Input } from 'antd';
import React from 'react';

function EditableCell(props) {
  const {
    editing,
    dataIndex,
    title,
    index,
    children,
    component = Input,
    componentProps,
    required = false,
    rulesProp = [],
    valuePropName = 'value',
    editContent = { allow: true },
    ...restProps
  } = props;
  const EditComponent = component;
  function getInput() {
    if (required) {
      rulesProp.push({ required: true, message: `请填写${title}` });
    }

    return editContent.allow ? (
      <Form.Item
        style={{ margin: 0 }}
        name={dataIndex}
        rules={rulesProp}
        valuePropName={valuePropName}
      >
        <EditComponent {...componentProps} />
      </Form.Item>
    ) : (
      editContent.content
    );
  }

  return <td {...restProps}>{editing ? getInput() : children}</td>;
}

export default EditableCell;
