export enum TenantType {
  AREA_TENANT = '1',
  GROUP_TENANT = '2',
  ALONE_TENANT = '3',
}
export enum FilterType {
  CREATE = '1',
  UPDATE = '2',
  DELETE = '3',
}
export enum CharacteristicsType {
  Agent_CODE = '1',
  ZONING_CODE = '2',
  USER_CODE = '3',
}
enum TenantUserType {
  PURCHASER = '1',
  SOCIETY_AGENT = '2',
  FOCUS_AGENT = '3',
  PART_AGENT = '4',
  SUPPLIER = '5',
  EXPERT_JUDGE = '6',
  REGULATOR = '7',
  BACKFLOW = '8',
}
export default TenantUserType;
export enum HostType {
  BUSINESS = '1',
  QUERY = '2',
}

export enum TenantKey {
  PURCHASER = '1',
  SOCIETY_AGENT = '2',
  FOCUS_AGENT = '3',
  PART_AGENT = '4',
  SUPPLIER = '5',
  EXPERT_JUDGE = '6',
  REGULATOR = '7',
  BACKFLOW = '8',
}
export const TenantKeyMap = {
  [TenantKey.SOCIETY_AGENT]: '社会代理机构',
  [TenantKey.FOCUS_AGENT]: '集中采购机构',
  [TenantKey.PART_AGENT]: '部门集采机构',
  [TenantKey.PURCHASER]: '采购人',
  [TenantKey.SUPPLIER]: '供应商',
  [TenantKey.EXPERT_JUDGE]: '评审专家',
  [TenantKey.REGULATOR]: '监管部门',
  [TenantKey.BACKFLOW]: '数据回流',
};
export const FilterTypeMap = {
  [FilterType.CREATE]: '创建',
  [FilterType.UPDATE]: '更新',
  [FilterType.DELETE]: '删除',
};
export const TenantUserTypeMap = {
  [TenantUserType.SOCIETY_AGENT]: '社会代理机构',
  [TenantUserType.FOCUS_AGENT]: '集中采购机构',
  [TenantUserType.PART_AGENT]: '部门集采机构',
  [TenantUserType.PURCHASER]: '采购人',
  [TenantUserType.SUPPLIER]: '供应商',
  [TenantUserType.EXPERT_JUDGE]: '评审专家',
  [TenantUserType.REGULATOR]: '监管部门',
  [TenantUserType.BACKFLOW]: '数据回流',
};
export const TenantUserTypeColor = {
  [TenantUserType.SOCIETY_AGENT]: 'cyan',
  [TenantUserType.FOCUS_AGENT]: 'cyan',
  [TenantUserType.PART_AGENT]: 'cyan',
  [TenantUserType.PURCHASER]: 'blue',
  [TenantUserType.SUPPLIER]: 'processing',
  [TenantUserType.EXPERT_JUDGE]: 'purple',
  [TenantUserType.REGULATOR]: 'orange',
  [TenantUserType.BACKFLOW]: 'green',
};

export const CharacteristicsTypeName = {
  [CharacteristicsType.Agent_CODE]: '机构代码',
  [CharacteristicsType.ZONING_CODE]: '区划代码',
  [CharacteristicsType.USER_CODE]: '用户代码',
};
export const TenantTypeName = {
  [TenantType.AREA_TENANT]: '区域数据共享租户',
  [TenantType.GROUP_TENANT]: '群体数据共享租户',
  [TenantType.ALONE_TENANT]: '独立数据租户',
};
export const HostTypeName = {
  [HostType.BUSINESS]: '业务库',
  [HostType.QUERY]: '查询库',
};
export enum sendStatus {
  UNPUBLISHED = '0',
  PUBLISHED = '1',
}
export const TenantTypeOptions = Object.entries(TenantTypeName).map(([value, label]) => ({
  value,
  label,
}));
export const characteristicsTypeOptions = Object.entries(CharacteristicsTypeName).map(
  ([value, label]) => ({
    value,
    label,
  }),
);
export const hostTypeOption = Object.entries(HostTypeName).map(([value, label]) => ({
  value,
  label,
}));
export const TenantUserTypeMapOptions = Object.entries(TenantUserTypeMap).map(([value, label]) => ({
  value,
  label,
}));
