import { Layout } from 'antd';
import PropTypes from 'prop-types';
import React from 'react';
import ErrorBoundary from './error/ErrorBoundary';
import FooterCustom from './footer/FooterCustom';
import loginBg from './basic/login_background.png';

function LoginLayout({ children, history }) {
  return (
    <Layout
      className="min-h-screen bg-no-repeat bg-center bg-cover"
      style={{ backgroundImage: `url(${loginBg})` }}
    >
      {/*<Layout.Header className="bg-transparent">*/}
      {/*  <div />*/}
      {/*</Layout.Header>*/}
      <Layout.Content className="flex justify-center items-center">
        <ErrorBoundary history={history}>{children}</ErrorBoundary>
      </Layout.Content>
    </Layout>
  );
}

LoginLayout.propTypes = {
  children: PropTypes.element.isRequired,
};

LoginLayout.defaultProps = {};

export default LoginLayout;
