import React, { useContext, useEffect } from 'react';
import PropTypes from 'prop-types';
import { CustomLayoutContext } from '@/layouts/provider';

function LayoutController(props) {
  const { match, menu, header, children } = props;
  const { menuDisplay, headerDisplay, setLayout, setMatch } = useContext(CustomLayoutContext);
  useEffect(() => {
    setMatch(match);
    if (menu !== menuDisplay || header !== headerDisplay) {
      setLayout({ menuDisplay: menu, headerDisplay: header });
    }
  }, []);

  return <div className="layout-controller">{children}</div>;
}

LayoutController.propTypes = {
  menu: PropTypes.bool.isRequired,
  header: PropTypes.bool.isRequired,
  children: PropTypes.element.isRequired,
};

LayoutController.defaultProps = {
  menu: true,
  header: true,
};

export default LayoutController;
