import { useUserInfo } from '@/hooks';
import { Avatar } from 'antd';
import classnames from 'classnames';

export default function UserAvatar(props) {
  const { className, defaultIcon, ...rest } = props;
  const { name } = useUserInfo();
  return (
    <Avatar className={classnames('bg-[#389ded]', className)} {...rest}>
      <div className="!leading-[30px] font-bold">{name?.charAt(0) || defaultIcon}</div>
    </Avatar>
  );
}
