import React, { ReactNode, useMemo, useState } from 'react';
import { CustomLayoutContextType, CustomLayoutType, CustomLayoutContext } from './index';

interface CustomLayoutProviderProps {
  children: ReactNode;
}

function CustomLayoutProvider(props: CustomLayoutProviderProps) {
  const [layout, setLayout] = useState<CustomLayoutType>({
    menuDisplay: true,
    headerDisplay: true,
  });
  const [match, setMatch] = useState({});

  const value: CustomLayoutContextType = useMemo(
    () => ({ ...layout, setLayout, match, setMatch }),
    [layout, match],
  );

  return (
    <CustomLayoutContext.Provider value={value}>{props.children}</CustomLayoutContext.Provider>
  );
}

CustomLayoutProvider.defaultProps = {};

export default CustomLayoutProvider;
