import React, { ReactNode } from 'react';
import { Redirect, useLocation } from 'react-router-dom';
import { isDevelopment } from '@/utils/check';
import useToken from '@/hooks/useToken';

interface AuthenticatedProps {
  children: ReactNode;
  fallback?: ReactNode;
}

function Authenticated(props: AuthenticatedProps) {
  const { children, fallback } = props;
  const { pathname } = useLocation();
  const token = useToken();

  if (/*isDevelopment() || */ token) {
    return children;
  }

  let redirectUrl = '/account/login';
  if (pathname !== '/') {
    redirectUrl += `?rf=${window.location.href}`;
  }
  return fallback ?? <Redirect to={redirectUrl} />;
}

Authenticated.defaultProps = {};

export default Authenticated;
