import { Radio, Tag } from 'antd';
import dayjs from 'dayjs';
import React from 'react';
import RemoteSelect from '@/components/forms/RemoteSelect';

export const tenantTypeColumns = [
  {
    title: '序号',
    dataIndex: 'index',
    key: 'index',
    width: 50,
    align: 'center',
    render: (text, record, index) => index + 1,
  },
  {
    title: '模版标识',
    dataIndex: 'templateIdentification',
    key: 'templateIdentification',
    width: 100,
    align: 'center',
    render: (text) => text || '-',
  },
  {
    title: '模版标题',
    align: 'center',
    dataIndex: 'templateName',
    key: 'templateName',
    width: 180,
  },
  {
    title: '触发类型',
    dataIndex: 'templateType',
    key: 'templateType',
    width: 80,
    align: 'center',
    render: (text) => '条件触发',
  },
  {
    title: '发送用户',
    dataIndex: 'sendUserName',
    key: 'sendUserName',
    align: 'center',
    width: 100,
  },
  {
    title: '更新时间',
    dataIndex: 'updateTime',
    key: 'updateTime',
    width: 100,
    align: 'center',
    render: (text) => (text ? dayjs(text).format('YYYY-MM-DD HH:mm') : '-'),
  },
  {
    title: '校验结果',
    dataIndex: 'isPass',
    key: 'isPass',
    width: 100,
    align: 'center',
    render: (text) => (text ? <Tag color="success">通过</Tag> : <Tag color="error">不通过</Tag>),
  },
];
export const publicMessageItemList = [
  {
    name: 'keyword',
    key: 'keyword',
    label: '模糊搜索',
    componentProps: { placeholder: '模板标识/标题', style: { width: 230 } },
  },
  {
    name: 'sendUser',
    key: 'sendUser',
    label: '发送用户',
    component: RemoteSelect,
    componentProps: {
      allowClear: true,
      placeholder: '请选择',
      requestUrl: '/manager/smsDict/option',
      requestParam: { dictType: 'office_type' },
      titleAttr: 'dictLabel',
      valueAttr: 'dictValue',
      style: { width: 200 },
    },
  },
];
export const searchItem = [
  ...publicMessageItemList,
  {
    name: 'isEnable',
    key: 'isEnable',
    label: '启用状态',
    component: Radio.Group,
    componentProps: {
      options: [
        { value: true, label: '是' },
        { value: false, label: '否' },
      ],
    },
  },
];
export const publicMessageAuthorization = [
  {
    title: '模板标识',
    dataIndex: 'templateIdentification',
    key: 'templateIdentification',
    width: 150,
    align: 'center',
  },
  {
    title: '模板标题',
    dataIndex: 'templateName',
    key: 'templateName',
    width: 150,
    align: 'center',
  },
  {
    title: '发送用户',
    dataIndex: 'sendUserName',
    key: 'sendUserName',
    align: 'center',
    width: 100,
  },
];
