import { Card, Col, Row, Steps } from 'antd';
import { useState } from 'react';
import TemplateConfiguration from '@/components/system/message/TemplateConfiguration';
import DataAcquisition from '@/components/system/message/DataAcquisition';

function MessageTemplateEdit() {
  const [current, setCurrent] = useState(0);
  return (
    <Card title="短信模板配置" className="pb-6">
      <Row gutter={[0, 24]} justify="center">
        <Col span={16}>
          <Steps current={current}>
            <Steps.Step title="模板配置" />
            <Steps.Step title="数据获取" />
          </Steps>
        </Col>
      </Row>
      {current === 0 && <TemplateConfiguration setCurrent={setCurrent} />}
      {current === 1 && <DataAcquisition setCurrent={setCurrent} />}
    </Card>
  );
}
export default MessageTemplateEdit;
