import RemoteSelect from '@/components/forms/RemoteSelect';
import dayjs from 'dayjs';
import { Tag } from 'antd';

export const keyWordItem = {
  name: 'keyword',
  key: 'keyword',
  label: '模糊搜索',
  componentProps: { placeholder: '模型名称/模型标识', style: { width: 230 } },
};
const classify = {
  name: 'businessModelId',
  key: 'businessModelId',
  label: '业务分类',
  component: RemoteSelect,
  componentProps: {
    requestUrl: '/syndata/dataModel/getBusinessModel',
    titleAttr: 'modelName',
    valueAttr: 'id',
    style: { minWidth: 200 },
  },
};
const publicModelCol = [
  {
    title: '模型名称',
    dataIndex: 'modelName',
    width: 120,
    align: 'center',
  },
  {
    title: '模型标识',
    dataIndex: 'modelIdentification',
    width: 100,
    align: 'center',
  },
];
const updateInfo = [
  {
    title: '操作时间',
    dataIndex: 'updateTime',
    width: 100,
    align: 'center',
    render: (text) => (text ? dayjs(text).format('YYYY-MM-DD HH:mm') : '-'),
  },
  { title: '操作人', dataIndex: 'updateBy', align: 'center', width: 80 },
];
export const businessModelCol = [
  {
    title: '序号',
    dataIndex: 'index',
    width: 50,
    align: 'center',
    render: (text, record, index) => index + 1,
  },
  ...publicModelCol,
  {
    title: '备注信息',
    dataIndex: 'remark',
    ellipsis: true,
    width: 120,
    render: (text) => text || '-',
  },
  ...updateInfo,
];
export const dataModelStartCol = [
  ...publicModelCol,
  {
    title: '业务分类',
    dataIndex: 'businessModelName',
    ellipsis: true,
    width: 100,
    render: (text) => text || '-',
  },
];
export const dataModelEndCol = [
  {
    title: '模型类型',
    dataIndex: 'modelType',
    width: 80,
    align: 'center',
    render: (text, record) => (
      <>
        {record?.pid === '0' ? (
          <Tag color="processing">主模型</Tag>
        ) : (
          <Tag color="default">副模型</Tag>
        )}
      </>
    ),
  },
  ...updateInfo,
];
export const dataModelItem = [keyWordItem, classify];
