import React, { useState, useEffect } from 'react';
import { Column, Line } from '@ant-design/plots';

const Histogram = ({ data }) => {
  const config = {
    data,
    isStack: true,
    xField: 'day',
    yField: 'value',
    seriesField: 'type',
    color: ['#EC808D', '#00BFBF'],
    xAxis: {
      grid: {
        line: {
          style: {
            stroke: 'rgba(0,0,0,0.05)',
          },
        },
      },
    },
    yAxis: {
      label: {
        autoRotate: false,
        style: {
          fill: '#aaa',
          fontSize: 12,
        },
        // 数值格式化为千分位
        formatter: (v) => {
          return `${v}万`;
        },
      },
      grid: {
        line: {
          style: {
            stroke: 'rgba(0,0,0,0.05)',
          },
        },
      },
    },
    legend: {
      position: 'top-right',
    },
    tooltip: {
      formatter: (v) => {
        return { name: v.day, value: `${v.value}万` };
      },
    },
    label: false,
    autoFit: true,
  };
  return <>{data?.length > 0 && <Column {...config} />}</>;
};
export default Histogram;
