import { Col, Row, Space } from 'antd';

function WorkBenchCol({ items, colorMap }) {
  return (
    <Row className="!h-full">
      {items.map((i) => (
        <Col flex={4} key={i.key}>
          <Space direction="vertical">
            <span>{i.label}</span>
            <span style={{ color: `${colorMap[i.key]}` }}>{i.value || '0'}</span>
          </Space>
        </Col>
      ))}
    </Row>
  );
}
export default WorkBenchCol;
