import RemoteSelect from '@/components/forms/RemoteSelect';
import { Tag } from 'antd';
import { sendStatus, TenantUserTypeColor } from '@/const/TenantType';

export const searchItem = [
  {
    name: 'keyword',
    key: 'keyword',
    label: '模糊搜索',
    componentProps: { placeholder: '模型名称', width: 200 },
  },
  {
    name: 'businessModeId',
    key: 'businessModeId',
    label: '同步业务',
    component: RemoteSelect,
    componentProps: {
      requestUrl: '/syndata/dataModel/getBusinessModel',
      titleAttr: 'modelName',
      valueAttr: 'id',
      style: { minWidth: 200 },
    },
  },
  {
    name: 'tenantryUserType',
    key: 'tenantryUserType',
    label: '源租户',
    component: RemoteSelect,
    componentProps: {
      allowClear: true,
      placeholder: '请选择',
      requestUrl: '/system/dict/option',
      requestParam: { dictType: 'YHLX' },
      titleAttr: 'dictLabel',
      valueAttr: 'dictValue',
      style: { width: 200 },
    },
  },
];
export const syncModelCol = [
  {
    title: '序号',
    dataIndex: 'index',
    key: 'index',
    width: 50,
    align: 'center',
    render: (text, record, index) => index + 1,
  },
  {
    title: '模型名称',
    dataIndex: 'modelName',
    key: 'modelName',
    width: 120,
  },
  {
    title: '同步业务',
    dataIndex: 'businessModelName',
    key: 'businessModelName',
    width: 100,
    align: 'center',
  },
  {
    dataIndex: 'tenantryUserType',
    key: 'tenantryUserType',
    title: '源租户',
    align: 'center',
    width: 120,
    render: (text, record) => {
      if (text) {
        return (
          <Tag color={TenantUserTypeColor[text]} className="py-1 px-1 w-24 text-sm text-center">
            {record.tenantTypeName}
          </Tag>
        );
      }
      return '-';
    },
  },
  {
    title: '目标租户',
    dataIndex: 'targetTenant',
    key: 'targetTenant',
    width: 100,
    align: 'center',
    render: (text) => <span className="text-blue-6">{text}</span>,
  },
  {
    title: '状态',
    dataIndex: 'status',
    key: 'status',
    width: '10%',
    align: 'center',
    render: (text) => {
      if (text === sendStatus.PUBLISHED) {
        return <Tag color="green">已发布</Tag>;
      }
      return <Tag>待发布</Tag>;
    },
  },
];
