import { useEffect, useRef, useState } from 'react';
import { Card, Col, List, Row } from 'antd';
import styles from '@/pages/system/syncModel/SyncModel.module.less';

function SyncRightCol() {
  const colLeftRef = useRef(null);
  const [colWidth, setColWidth] = useState();
  const data = [
    {
      title: '1.临时采购计划',
      description: '采购人申请与监管部门审批业务',
    },
    {
      title: '2.采购项目委托',
      description: '采购人将委托单提交至代理机构、集中采购机构、部门集采机构',
    },
    {
      title: '3.采购项目组建',
      description: '代理机构立项',
    },
  ];
  const statusData = [
    {
      title: '1.采购计划用途调整',
    },
    {
      title: '2.采购计划移交',
    },
    {
      title: '3.采购计划拆分',
    },
  ];
  useEffect(() => {
    resize();
  }, [colLeftRef, colLeftRef.current]);
  function resize() {
    const colWidthRes = colLeftRef?.current?.getBoundingClientRect().width;
    setColWidth(colWidthRes);
  }
  return (
    <Col span={6} ref={colLeftRef}>
      <div className={styles.introduceList}>
        <Card
          style={{ width: colWidth }}
          className={styles.introduceListBox}
          bodyStyle={{ padding: 0 }}
        >
          <Row className={styles.rowTitle}>
            <Col span={24} className="ml-4 text-base">
              流程事务
            </Col>
          </Row>
          <Row>
            <Col span={24} className="mb-2">
              <List
                itemLayout="horizontal"
                dataSource={data}
                className={styles.listBorder}
                renderItem={(item) => (
                  <List.Item key={item.title}>
                    <List.Item.Meta title={item.title} description={item.description} />
                  </List.Item>
                )}
              />
            </Col>
          </Row>
          <Row className={styles.rowTitle}>
            <Col span={24} className="ml-4 text-base">
              状态更新
            </Col>
          </Row>
          <Row>
            <Col span={24}>
              <List
                itemLayout="horizontal"
                dataSource={statusData}
                className={styles.listBorder}
                renderItem={(item) => (
                  <List.Item key={item.title}>
                    <List.Item.Meta title={item.title} />
                  </List.Item>
                )}
              />
            </Col>
          </Row>
        </Card>
      </div>
    </Col>
  );
}
export default SyncRightCol;
