import { Table, Tag } from 'antd';
import React from 'react';
import { HostType, HostTypeName } from '@/const/TenantType';
import { HostStatusColorMap, HostStatusNameMap } from '@/const/HostStatus';

function ReSyncHost(props) {
  const { setInfo, info, drawerActiveKey } = props;
  const selectKeys =
    info.filter((i) => i.id === drawerActiveKey)[0]?.selectedTenantryHostList || [];
  const dataSource = info.filter((i) => i.id === drawerActiveKey)[0]?.tenantryHostList || [];
  const columns = [
    {
      title: '主机名称',
      dataIndex: 'hostName',
      key: 'hostName',
      width: 150,
      align: 'center',
    },

    {
      title: '主机标识',
      width: 150,
      align: 'center',
      dataIndex: 'hostIdentification',
      key: 'hostIdentification',
    },
    {
      title: '结构同步状态',
      dataIndex: 'syncStatus',
      key: 'syncStatus',
      align: 'center',
      width: 120,
      render: (text) => {
        return (
          <Tag
            color={HostStatusColorMap[text]}
            className="rounded-2xl w-28 text-center	h-9 text-sm	leading-9"
          >
            {HostStatusNameMap[text]}
          </Tag>
        );
      },
    },
  ];
  return (
    <Table
      dataSource={dataSource}
      columns={columns}
      pagination={false}
      rowKey="id"
      rowSelection={{
        type: 'multiple',
        selectedRowKeys: selectKeys,
        onChange: (key) => {
          const infoList = info.filter((i) => i.id !== drawerActiveKey);
          const currentInfo = {
            id: drawerActiveKey,
            taskHostNum: key.length,
            tenantryHostList: dataSource,
            selectedTenantryHostList: key,
          };
          setInfo([...infoList, currentInfo]);
        },
      }}
    />
  );
}
export default ReSyncHost;
