import dayjs from 'dayjs';
import {
  CharacteristicsTypeName,
  TenantTypeName,
  TenantUserTypeColor,
  TenantUserTypeMap,
} from '@/const/TenantType';
import { Tag } from 'antd';

const indexCol = {
  title: '序号',
  dataIndex: 'index',
  key: 'index',
  width: 50,
  align: 'center',
  render: (text, record, index) => index + 1,
};
export const updateInfo = [
  {
    title: '操作时间',
    dataIndex: 'updateTime',
    width: 100,
    align: 'center',
    render: (text) => (text ? dayjs(text).format('YYYY-MM-DD HH:mm') : '-'),
  },
  { title: '操作人', dataIndex: 'updateBy', key: 'updateBy', align: 'center', width: 80 },
];
export const tenantTypeColumns = [
  indexCol,
  {
    title: '租户名称',
    dataIndex: 'tenantryName',
    width: 100,
    render: (text) => text || '-',
  },
  {
    title: '用户类型',
    dataIndex: 'tenantryUserType',
    width: 100,
    render: (text, record) => (
      <Tag color={TenantUserTypeColor[text]} className="py-1 px-1 w-24 text-sm text-center">
        {record.tenantTypeName}
      </Tag>
    ),
  },
  {
    title: '租户标识',
    dataIndex: 'tenantryIdentification',
    width: 100,
    render: (text) => text || '-',
  },
  {
    title: '租户类型',
    dataIndex: 'tenantryType',
    width: 100,
    render: (text) => TenantTypeName[text] || '-',
  },
  ...updateInfo,
];
export const tenantCharacteristicsColumns = [
  indexCol,
  {
    title: '租户类型',
    dataIndex: 'tenantryUserType',
    width: 100,
    align: 'center',
    render: (text, record) => {
      return (
        <Tag color={TenantUserTypeColor[text]} className="py-1 px-1 w-24 text-sm text-center">
          {record.tenantTypeName}
        </Tag>
      );
    },
  },
  {
    title: '特征类型',
    dataIndex: 'featureType',
    width: 100,
    render: (text) => CharacteristicsTypeName[text] || '-',
  },
  ...updateInfo,
];
