# 云平台git分支管理策略

## 版本管理
1. 版本管理工具: git
2. 版本管理办法: [GitFlow分支管理策略](http://www.ruanyifeng.com/blog/2012/07/git.html)
3. 版本管理策略辅助插件: IDEA的[Git Flow Integration](https://plugins.jetbrains.com/plugin/7315-git-flow-integration)插件

## 主要特点
* 2个长期分支
  * master: 主分支, 存放对外发布的版本
  * develop: 开发分支, 用于日常开发, 存放最新的开发版
* 3种临时分支 (合并之后会删除)
  * feature: 功能分支
  * hotfix: 补丁分支
  * release: 预发分支

## 长期分支
### 主分支 (master):
* 只用于存放对外发布的版本, 任何时候在这个分支都是稳定的发布版
* 不能直接把修改提交到这个分支, 只能合并

### 开发分支 (develop):
* 用于存放日常开发的代码, 所有开发的基础分支
* 该分支汇集了所有已完成的功能
```
          v0.1    v0.2           v0.3
master     O -----> O -----------> O
            \
develop      O ---> O ---> O ----> O
```

## 临时分支
### 功能分支 (feature):
* 功能开发, 包含该功能的所有修改
* 从Develop上面分出来, 所有开发完成后, 再并入develop
```
          v0.1    v0.2           v0.3
master     O -----> O -----------> O
            \
develop      O ---> O -----> O ----> O
             |       \      /
feature\1    |        O--> O 
             v
feature\2    O ---> O ---> O ---> O
```
### 预发分支 (release):
* 发布正式版本之前, 进行测试和修改
* 从develop上面分出来, 修改测试结束后并入master和develop

### 补丁分支 (hotfix):
* 对已发布版本进行bug修补
* 从master上面分出来, 修改测试结束后并入master和develop
```
          v0.1    v0.2           v0.3
master     O ----> O --------------> O
           | \   /                   ^
hotfix     |   O                     |
           |    \                    |
release    |     \            O ---> O
           v      \          /        \
develop    O ----> O -----> O -------> O
```

版权所有, 仅限富深公司内部使用. 复制转载请注明出处.
@author shenshuo
