# 请求接口规范及错误处理

## 接口返回统一格式

字段名 | 类型 | 必需 | 备注
---- | --- | --- | ----
success | boolean | 是 |
code | int | | 以后优先使用success字段判断
msg | string | 是
data | any(分页查询返回Page) | | 具体规范详见分类接口规范
showType | enum<int> | | 详情见ErrorShowType


## 查询类接口规范

* 请求类型: GET
* 接口参数: 查询条件
* success == true时, data字段不能为null
* 列表查询可以返回空list
* 分页查询时, data类型必需为Page

### 分页查询接口参数

字段名 | 类型 | 必需 | 备注
---- | --- | --- | ----
current | int |  | 默认1
pageSize | int | | 默认10
sortField | string | 
sortOrder | 'ascend'/'descend' | | 

### Page类型必需字段

字段名 | 类型 | 必需 | 备注
---- | --- | --- | ----
list | list | 是 | 
current | int | 是 | 默认1
pageSize | int| 是 | 默认10
total | int | 是 | 默认0

## Insert类接口规范

* 请求类型: POST
* 接口参数: 需要插入的entity对象
* data字段必需返回刚刚插入的entity对象, 方法获取id或者其他自动填充字段

## Update类接口规范

* 请求类型: POST
* 接口参数: 需要更新的entity对象

## Delete类接口规范

* 请求类型: DELETE
* 接口参数: 单条删除接收string, 批量删除接收list<string>

## ErrorShowType

* 前端会根据后端showType的返回值进行错误提示
* 没有返回showType字段时默认提示类型为ERROR_MESSAGE类型

```typescript
enum ErrorShowType {
  SILENT = 0, // 不提示错误
  WARN_MESSAGE = 1, // 警告信息提示
  ERROR_MESSAGE = 2, // 错误信息提示
  NOTIFICATION = 4, // 通知提示
  REDIRECT = 9, // 页面跳转
}
```
